Skip to main content
GET
/
unified
/
iam
/
groups
List Groups
curl --request GET \
  --url https://api.stackone.com/unified/iam/groups \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://api.stackone.com/unified/iam/groups"

headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.stackone.com/unified/iam/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "name": "<string>",
      "description": "<string>",
      "type": {
        "value": "team",
        "source_value": "<string>"
      },
      "roles": [
        {
          "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
          "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
          "name": "<string>",
          "description": "<string>",
          "type": {
            "value": "admin",
            "source_value": "<string>"
          },
          "policies": [
            {
              "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "name": "Remote Contractor Policy",
              "permissions": [
                {
                  "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "name": "read:users",
                  "type": {
                    "value": "read_write",
                    "source_value": "<string>"
                  },
                  "resources": [
                    {
                      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                      "name": "Company History Records",
                      "location": "s3://bucket-name/folder-name",
                      "type": "file",
                      "description": "<string>",
                      "created_at": "2021-01-01T01:01:01.000Z",
                      "updated_at": "2021-01-01T01:01:01.000Z"
                    }
                  ],
                  "scopes": [
                    {
                      "resource_type": "channel",
                      "resource_id": "C0123456789"
                    }
                  ],
                  "description": "<string>",
                  "created_at": "2021-01-01T01:01:01.000Z",
                  "updated_at": "2021-01-01T01:01:01.000Z"
                }
              ],
              "description": "<string>",
              "created_at": "2021-01-01T01:01:01.000Z",
              "updated_at": "2021-01-01T01:01:01.000Z"
            }
          ],
          "permissions": [
            {
              "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "name": "read:users",
              "type": {
                "value": "read_write",
                "source_value": "<string>"
              },
              "resources": [
                {
                  "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "name": "Company History Records",
                  "location": "s3://bucket-name/folder-name",
                  "type": "file",
                  "description": "<string>",
                  "created_at": "2021-01-01T01:01:01.000Z",
                  "updated_at": "2021-01-01T01:01:01.000Z"
                }
              ],
              "scopes": [
                {
                  "resource_type": "channel",
                  "resource_id": "C0123456789"
                }
              ],
              "description": "<string>",
              "created_at": "2021-01-01T01:01:01.000Z",
              "updated_at": "2021-01-01T01:01:01.000Z"
            }
          ],
          "scope": {
            "resource_type": "group",
            "resource_id": "group_abc123"
          },
          "created_at": "2021-01-01T01:01:01.000Z",
          "updated_at": "2021-01-01T01:01:01.000Z"
        }
      ],
      "parent_id": "<string>",
      "remote_parent_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
      "child_group_ids": [
        "<string>"
      ],
      "organization_id": "<string>",
      "users": [
        {
          "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
          "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
          "unified_custom_fields": {
            "my_project_custom_field_1": "REF-1236",
            "my_project_custom_field_2": "some other value"
          },
          "primary_email_address": "han@stackone.com",
          "first_name": "Han",
          "last_name": "Solo",
          "name": "Han Solo",
          "username": "hansolo1977",
          "is_bot_user": true,
          "roles": [
            {
              "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "name": "<string>",
              "description": "<string>",
              "type": {
                "value": "admin",
                "source_value": "<string>"
              },
              "policies": [
                {
                  "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "name": "Remote Contractor Policy",
                  "permissions": [
                    {
                      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                      "name": "read:users",
                      "type": {
                        "value": "read_write",
                        "source_value": "<string>"
                      },
                      "resources": [
                        {
                          "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                          "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                          "name": "Company History Records",
                          "location": "s3://bucket-name/folder-name",
                          "type": "file",
                          "description": "<string>",
                          "created_at": "2021-01-01T01:01:01.000Z",
                          "updated_at": "2021-01-01T01:01:01.000Z"
                        }
                      ],
                      "scopes": [
                        {
                          "resource_type": "channel",
                          "resource_id": "C0123456789"
                        }
                      ],
                      "description": "<string>",
                      "created_at": "2021-01-01T01:01:01.000Z",
                      "updated_at": "2021-01-01T01:01:01.000Z"
                    }
                  ],
                  "description": "<string>",
                  "created_at": "2021-01-01T01:01:01.000Z",
                  "updated_at": "2021-01-01T01:01:01.000Z"
                }
              ],
              "permissions": [
                {
                  "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "name": "read:users",
                  "type": {
                    "value": "read_write",
                    "source_value": "<string>"
                  },
                  "resources": [
                    {
                      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                      "name": "Company History Records",
                      "location": "s3://bucket-name/folder-name",
                      "type": "file",
                      "description": "<string>",
                      "created_at": "2021-01-01T01:01:01.000Z",
                      "updated_at": "2021-01-01T01:01:01.000Z"
                    }
                  ],
                  "scopes": [
                    {
                      "resource_type": "channel",
                      "resource_id": "C0123456789"
                    }
                  ],
                  "description": "<string>",
                  "created_at": "2021-01-01T01:01:01.000Z",
                  "updated_at": "2021-01-01T01:01:01.000Z"
                }
              ],
              "scope": {
                "resource_type": "group",
                "resource_id": "group_abc123"
              },
              "created_at": "2021-01-01T01:01:01.000Z",
              "updated_at": "2021-01-01T01:01:01.000Z"
            }
          ],
          "groups": "<array>",
          "permissions": [
            {
              "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
              "name": "read:users",
              "type": {
                "value": "read_write",
                "source_value": "<string>"
              },
              "resources": [
                {
                  "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
                  "name": "Company History Records",
                  "location": "s3://bucket-name/folder-name",
                  "type": "file",
                  "description": "<string>",
                  "created_at": "2021-01-01T01:01:01.000Z",
                  "updated_at": "2021-01-01T01:01:01.000Z"
                }
              ],
              "scopes": [
                {
                  "resource_type": "channel",
                  "resource_id": "C0123456789"
                }
              ],
              "description": "<string>",
              "created_at": "2021-01-01T01:01:01.000Z",
              "updated_at": "2021-01-01T01:01:01.000Z"
            }
          ],
          "status": {
            "value": "enabled",
            "source_value": "<string>"
          },
          "last_active_at": "2021-01-01T01:01:01.000Z",
          "last_login_at": "2021-01-01T01:01:01.000Z",
          "created_at": "2021-01-01T01:01:01.000Z",
          "updated_at": "2021-01-01T01:01:01.000Z",
          "multi_factor_enabled": [
            {
              "value": "totp",
              "source_value": "<string>"
            }
          ],
          "avatar": {
            "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
            "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
            "name": "My Document",
            "category": "templates, forms, backups, etc.",
            "contents": [
              {
                "url": "https://example.com/file.pdf",
                "unified_url": "https://api.stackone.com/unified/hris/employees/12345/documents/67890/download",
                "file_format": {
                  "value": "pdf",
                  "source_value": "application/pdf"
                }
              }
            ],
            "category_id": "6530",
            "created_at": "2021-01-01T01:01:01.000Z",
            "updated_at": "2021-01-02T01:01:01.000Z",
            "remote_url": "https://example.com/file.pdf",
            "file_format": {
              "value": "pdf",
              "source_value": "application/pdf"
            }
          }
        }
      ],
      "created_at": "2021-01-01T01:01:01.000Z",
      "updated_at": "2021-01-01T01:01:01.000Z"
    }
  ],
  "next_page": "<string>",
  "next": "<string>",
  "raw": [
    {
      "method": "<string>",
      "url": "<string>",
      "body": {},
      "response": {}
    }
  ]
}
{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}
{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,parent_id,remote_parent_id,name,description,roles,type,created_at,updated_at,unified_custom_fields"

filter
object | null

Filter parameters that allow greater customisation of the list response

page
string | null

The page number of the results to fetch

page_size
string | null

The number of results per page (default value is 25)

next
string | null

The unified cursor

updated_after
string<date-time> | null

Use a string with a date to only select results updated after that given date

Example:

"2020-01-01T00:00:00.000Z"

expand
string | null

The comma separated list of fields that will be expanded in the response

Example:

"roles,users"

Response

The list of groups was retrieved.

data
object[]
required
next_page
string | null
deprecated
next
string | null
raw
object[] | null